--- subversion-1.14.1/configure.~1~	2021-02-04 13:21:18.000000000 +0000
+++ subversion-1.14.1/configure	2021-08-25 08:52:55.992343810 +0000
@@ -4974,14 +4974,14 @@
   fi
 
   if test "$enable_all_static" = "yes"; then
-    SVN_APR_LIBS="`$apr_config --link-ld --libs`"
+    SVN_APR_LIBS="`$apr_config --link-libtool --libs`"
     if test $? -ne 0; then
-      as_fn_error $? "apr-config --link-ld --libs failed" "$LINENO" 5
+      as_fn_error $? "apr-config --link-libtool --libs failed" "$LINENO" 5
     fi
   else
-    SVN_APR_LIBS="`$apr_config --link-ld`"
+    SVN_APR_LIBS="`$apr_config --link-libtool`"
     if test $? -ne 0; then
-      as_fn_error $? "apr-config --link-ld failed" "$LINENO" 5
+      as_fn_error $? "apr-config --link-libtool failed" "$LINENO" 5
     fi
   fi
   SVN_APR_LIBS="`
@@ -5221,14 +5221,14 @@
   fi
 
   if test "$enable_all_static" = "yes"; then
-    SVN_APRUTIL_LIBS="`$apu_config --link-ld --libs`"
+    SVN_APRUTIL_LIBS="`$apu_config --link-libtool --libs`"
     if test $? -ne 0; then
-      as_fn_error $? "apu-config --link-ld --libs failed" "$LINENO" 5
+      as_fn_error $? "apu-config --link-libtool --libs failed" "$LINENO" 5
     fi
   else
-    SVN_APRUTIL_LIBS="`$apu_config --link-ld`"
+    SVN_APRUTIL_LIBS="`$apu_config --link-libtool`"
     if test $? -ne 0; then
-      as_fn_error $? "apu-config --link-ld failed" "$LINENO" 5
+      as_fn_error $? "apu-config --link-libtool failed" "$LINENO" 5
     fi
   fi
   SVN_APRUTIL_LIBS="`
@@ -27761,7 +27761,21 @@
 fi
 
 
-
+# I really don't know why I had to set all of them one more time.
+# this configure script is really wired...
+case $host in
+  *-*-solaris2*)
+    printf "Setting correct swig-flags for OpenIndiana..."
+    SWIG_PY_INCLUDES="`$PYTHON ${abs_srcdir}/build/get-py-info.py --includes`"
+    SWIG_PY_INCLUDES="$SWIG_PY_INCLUDES -I./subversion/include -I./subversion"
+    SWIG_PY_INCLUDES="$SWIG_PY_INCLUDES -I./subversion/bindings/swig/proxy"
+    SWIG_PY_INCLUDES="$SWIG_PY_INCLUDES \$(SVN_APR_INCLUDES) \$(SVN_APRUTIL_INCLUDES)"
+    SWIG_PY_LIBS="`$PYTHON ${abs_srcdir}/build/get-py-info.py --libs`"
+    SWIG_PY_COMPILE="`$PYTHON ${abs_srcdir}/build/get-py-info.py --compile`"
+    SWIG_PY_LINK="`$PYTHON ${abs_srcdir}/build/get-py-info.py --link`"
+    SWIG_PY_ERRMSG=""
+  echo " done."
+esac
 
 
 # ==== Miscellaneous bits ====================================================
@@ -29447,6 +29461,11 @@
   s&@infodir@&$infodir&g
   s&@localedir@&$localedir&g
   s&@mandir@&$mandir&g
+  s&@SWIG_PY_COMPILE@&$SWIG_PY_COMPILE&g
+  s&@SWIG_PY_LINK@&$SWIG_PY_LINK&g
+  s&@SWIG_PY_LIBS@&$SWIG_PY_LIBS&g
+  s&@SWIG_PY_INCLUDES@&$SWIG_PY_INCLUDES&g
+  s&@SVN_PY3C_INCLUDES@&$SVN_PY3C_INCLUDES&g
   s&\\\${datarootdir}&$datarootdir&g' ;;
 esac
 _ACEOF
